<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelJabatan extends Model

{
    protected $table = 'jabatan'; // Nama tabel di database
    protected $primaryKey = 'id_jabatan'; // Primary key tabel
    protected $allowedFields = ['nama_jabatan']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_jabatan', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_jabatan
     *
     * @param int $id_jabatan
     * @return array|null
     */
    public function getDataById($id_jabatan)
    {
        return $this->where('id_jabatan', $id_jabatan)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_jabatan
     * @param array $data
     * @return bool
     */
    public function updateData($id_jabatan, $data)
    {
        return $this->update($id_jabatan, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_jabatan
     * @return bool
     */
    public function deleteData($id_jabatan)
    {
        return $this->delete($id_jabatan);
    }
}